﻿function addSelOption(obj, value, text)
{
  obj.length++;
  obj.options[obj.length - 1].value = value;
  obj.options[obj.length - 1].text  = text;
}

function createSelection(obj, varray, tarray)
{
  obj.length = 0;
  for(var idx = 0; idx < varray.length; idx++)
  {
    addSelOption(obj, varray[idx], tarray[idx]);
  }
}

function getRadioValue(obj)
{
  for(var idx = 0; idx < obj.length; idx++)
  {
    if (true == obj[idx].checked)
    {
      return idx;
    }
  }

  return -1;
}

function createCamNumSelection(num)
{
  var v_camNums = new Array();
  var t_camNums = new Array();

  for(var idx = 0; idx < num; idx++)
  {
    v_camNums[idx] = idx + 1;
    t_camNums[idx] = String(v_camNums[idx]);
  }

  createSelection(form1.elements['u_camNum'], v_camNums, t_camNums);
  form1.u_camNum.value = num;
}

function createRecSndCamNumSelection(sndnum, num)
{
  var v_camNums = new Array();
  var t_camNums = new Array();

  var nowrecSndCamNum = form1.u_recSndCamNum.value;
  if ("" == nowrecSndCamNum)
  {
    nowrecSndCamNum = 0;
  }

  for(var idx = 0; idx <= sndnum; idx++)
  {
    if (idx > num)
    {
      break;
    }
    v_camNums[idx] = idx;
    t_camNums[idx] = String(v_camNums[idx]);
  }

  createSelection(form1.elements['u_recSndCamNum'], v_camNums, t_camNums);

  if (nowrecSndCamNum > (idx-1))
  {
    form1.u_recSndCamNum.value = v_camNums[0];
  }
  else
  {
    form1.u_recSndCamNum.value = nowrecSndCamNum;
  }
}

function createHddCapacitySelection(values)
{
  var v_hddCapa = new Array();
  var t_hddCapa = new Array();

  for(var idx = 0; idx < values.length; idx++)
  {
    v_hddCapa[idx] = values[idx];
    t_hddCapa[idx] = String(values[idx]);
  }

  createSelection(form1.elements['u_hddCapa'], v_hddCapa, t_hddCapa);
  form1.u_hddCapa.value = v_hddCapa[0];
}

function createHourOfDaySelection(obj)
{
  var v_nums = new Array();
  var t_nums = new Array();

  for(var idx = 0; idx < 24; idx++)
  {
    v_nums[idx] = idx + 1;
    t_nums[idx] = String(v_nums[idx]);
  }

  createSelection(obj, v_nums, t_nums);
  obj.value = 24;
}

function createRaidSelection()
{
  var v_nums = new Array();
  var t_nums = new Array();

  for(var idx = 0; idx < s_input_p09_List.length; idx++)
  {
    v_nums[idx] = idx;
    t_nums[idx] = s_input_p09_List[idx];
  }

  createSelection(form1.u_hddProtect, v_nums, t_nums);
  form1.u_hddProtect.value = 0;
}


function ConvHdd_RaidToPhysical(num)
{
  var raid = form1.u_hddProtect.value;
  var retval = 0;

  // non-raid
  if (0 == raid)
  {
    retval = num;
  }
  // raid-5
  else if (1 == raid)
  {
    retval = num+1;
    if (retval < 3)
    {
      retval = 3;
    }
  }
  // raid-6
  else
  {
    retval = num+2;
    if (retval < 4)
    {
      retval = 4;
    }
  }
  if (0 >= num)
  {
    retval = 0;
  }

  return retval;
}

function ConvHdd_PhysicalToRaid(num)
{
  var raid = form1.u_hddProtect.value;
  var retval = 0;

  // non-raid
  if (0 == raid)
  {
    retval = num;
  }
  // raid-5
  else if (1 == raid)
  {
    if (num < 3)
    {
      num = 3;
    }
    retval = num-1;
  }
  // raid-6
  else
  {
    if (num < 4)
    {
      num = 4;
    }
    retval = num-2;
  }

  if (0 >= num)
  {
    retval = 0;
  }

  return retval;
}
